Subject: Re: RFC4941, temp-addr only, etc. (Fwd: New Version Notification for draft-gont-6man-non-stable-iids-00.txt)

From: Mark Smith <[email-masked]>
Date: Thu, 9 Jun 2016 17:36:48 +1000

Hi,

On 1 Jun 2016 10:28, "Lorenzo Colitti" <[email-masked]> wrote:
>
> On Wed, Jun 1, 2016 at 8:23 AM, Mark Smith <[email-masked]> wrote:
>>
>> The answer is MPTCP.
>
> If you ask me, a protocol that cannot be deployed is never the answer to anything.

Apple deployed it in IOS 7, and is being used by Siri.

https://perso.uclouvain.be/olivier.bonaventure/blog/html/2013/09/18/mptcp.html

https://support.apple.com/en-au/HT201373

Apparently it is also available in OS X, although I don't know if any
applications are using it.

https://labs.neohapsis.com/2014/10/20/mptcp-roams-free-by-default-os-x-yosemite/

>But MPTCP is not the only way to do multipath, and it's true that that's OT for this thread.
>>
>> >all the suggestions in Appendix A have equal or less stability than the interface link-layer address. On client systems, interface name and index are at best as persistent
>>
>> as the MAC address.
>>
>> If I recall, Fedora assigns interface names based on PCI slot.
>
> On ubuntu they come from udev rules:
>
> # PCI device 0x8086:0x0085 (iwlwifi)
> SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="84:3a:4b:xx:xx:xx", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="wlan*", NAME="wlan0"
> ...
> # USB device 0x:0x (r8152)
> SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="00:e0:4c:xx:xx:xx", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="eth*", NAME="eth5"
>
> PCI slot (or USB bus location) really isn't going to work well for the USB ethernet adapter which I use every day.
>>

This situation is also discussed in Appendix A.

USB is an interesting case.

The Net_Iface could be set to/tied to the USB port (bus/port), for
cases where the USB port has a designated role of some form. I could
imagine if I was doing some networking experiments on a PC that I
would want to associate an RC7217 address with a USB port rather than
the USB NIC I plug into it, since I have a few USB NICs of the same
brand and model. This might also apply if the USB bus is used as an
internal bus, where the USB NIC has a different form factor and
connection than normal (e.g., since new versions of USB support
10Gbps, using USB as an internal device bus might become cheaper than
other less commodity alternatives.)

Alternatively, Net_Iface could be tied to a property of a particular
USB NIC, such that it didn't matter what USB port the USB NIC was
plugged into, the RFC7217 address would follow the specific USB NIC. I
think that would be my normal everyday preference, as I conceptually
associate network connectivity with a particular the USB NIC,
regardless of what USB port I plug it into.

Finally, probably for most cases, RFC7217s and more generally stable
addresses might be unnecessary for USB NICs, as they're commonly used
on end-user hosts rather than devices where stable addresses are used
e.g., servers or routers. It would only be people like you and I who,
depending on what we're doing e.g., experiments or tests, might want
stable addresses on the USB NIC attached to our laptop.

So it very much depends on the use case as to what the best value for
the Net_Iface parameter might be, not only for USB, but also for some
of the other interface attachment methods or scenarios.

>> Get some time on a commercial router and you'll find out that none of what you're saying occurs.

>
> Of course it doesn't. What I'm saying applies to hosts,

Right. I think that's the problem. You've been discussion from the
perspective of end-user hosts (that don't present any long term
services to the network), where as default-*-iids is about the default
for any type of device (nodes) that is currently using EUI-64s for
stable addresses.

It is raising the minimum privacy bar for stable addresses, not
replacing RFC4941s. Default address selection rules will enforce the
choice of RFC4941s if there is a choice between RFC7217s and RFC4941s.

but it does apply to most hosts, and hosts are the things that have
the greater privacy requirements. You want to make RFC7217 a MUST for
commercial routers, sure: Ole is the one you have to fight on that
one, not me :-)

Sure. I want RFC7217s to be used as the default for router interface
addresses (all LLs/ULAs/GUAs), so that I don't have to stop them
changing by using static LL/ULA/GUA addresses if I replace the
interface module with one that has a different MAC address. I think
static router interface addresses to attain stability should be a
choice for a network operator rather than a requirement.

Regards,
Mark.